import * as orderBiz from "../../biz/member/order";

export const FirstName = '会费相关';
export const FirstRouter = '/manage/cost';
export const Config = {
    "审批管理":[
        {
            apiName:"待支付列表",
            subUrl:'/order/fist/list', 
            param:[
                {key:"unitName", type:"String", desc:"单位名称", isNull:true},
                {key:"joinTime", type:"Number", desc:"入会时间 时间戳", isNull:true},
                {key:"memberType", type:"Number", desc:"会员类别 枚举参考公用组件", isNull:true},
                {key:"orderState", type:"Number", desc:"支付状态", isNull:true},
                {key:"pageNumber", type:"Number", desc:"分页-当前页面"}
            ],
            bindBiz:orderBiz.firstOrderList
        },
        {
            apiName:"确认待支付",
            subUrl:'/order/fist/pass', 
            param:[
                {key:"id", type:"String", desc:"订单标识"},
            ],
            bindBiz:orderBiz.checkOrder
        },
    ],
    "发票管理":[
        {
            apiName:"财务核对",
            subUrl:'/order/invoice/check/list', 
            param:[
                {key:"unitName", type:"String", desc:"单位名称", isNull:true},
                {key:"paymentType", type:"Number", desc:"支付方式", isNull:true},
                {key:"costType", type:"Number", desc:"会费类别", isNull:true},
                {key:"pageNumber", type:"Number", desc:"分页-当前页面"}
            ],
            bindBiz:orderBiz.paidList
        },
        {
            apiName:"待开发票和已开发票",
            subUrl:'/order/invoice/list', 
            param:[
                {key:"unitName", type:"String", desc:"单位名称", isNull:true},
                {key:"paymentType", type:"Number", desc:"支付方式", isNull:true},
                {key:"isPay", type:"Number", desc:"是否支付", isNull:true},
                {key:"invoiceStatus", type:"Number", desc:"发票类型", isNull:true},
                {key:"pageNumber", type:"Number", desc:"分页-当前页面"}
            ],
            bindBiz:orderBiz.billStateList
        },
        {
            apiName:"财务核对-收款确认",
            subUrl:'/order/invoice/examine/pass', 
            param:[
                {key:"id", type:"String", desc:"订单id"}
            ],
            bindBiz:orderBiz.confirmReceiptPass
        },
        {
            apiName:"财务核对-退回",
            subUrl:'/order/invoice/examine/out', 
            param:[
                {key:"id", type:"String", desc:"订单id"}
            ],
            bindBiz:orderBiz.confirmReceiptOut
        },
        
    ],
    "会员个人页":[
        {
            apiName:"会员缴费列表",
            subUrl:'/order/list', 
            param:[
                {key:"type", type:"Number", desc:"会员类别 枚举参考公用组件[会员缴费列表类型]", isNull:true},
            ],
            bindBiz:orderBiz.orderList
        },
    ],
    
}
